package com.huatek.busi.service;

import com.huatek.busi.entity.*;

import java.text.ParseException;
import java.util.List;

public interface ArresterNumberService {

    /**
     *避雷器状态
     *
     */
    List<ArresterStatus> findArresterStatus();


    /**
     * 避雷器故障,在线,总数查询
     *
     */
    EquipmentSumNumber findSumArresterNumber() throws Exception;


    /**
     * 避雷器温度超标率查询
     *
     */
    ArresterHwChaobiaoLv findHwChaobiao(String siteId, String mainEquipmentId, String rtpTime);


    /**
     *避雷器外挂装置查询并将计算值加入Cache表
     *
     */
    int findArresterNumber() throws Exception;

    /**
     *从缓存表查询避雷器的在线率
     */
    List<EquipmentSensorCache> findArresterSensorNumber(String mainEquipmentId);


    /**
     *从缓存表查询总避雷器的在线率
     */
    EquipmentSumSensorCache findSumArresterSensorNumber();
}
